﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DotNetNuke.Entities.Modules;
using System.Data.Entity;
using EFCodeFirstLib;

namespace EFCodeFirst
{
    public partial class EFView : PortalModuleBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Database.SetInitializer<BlogContext>(new BlogContextInitializer());

            using (var db = new BlogContext())
            {
                Guid postId = Guid.NewGuid();
                Guid catId = Guid.NewGuid();

                var cat = new Category { Id = catId, Name = "ASP.NET" };
                var post = new BlogPost { Id = postId, Title = "Title1", Content = "Hello World!", PublishDate = new DateTime(2011, 1, 1), Category = cat };

                db.Categories.Add(cat);
                db.BlogPosts.Add(post);

                Console.WriteLine(db.Database.Connection.ConnectionString);

                int i = db.SaveChanges();
                Console.WriteLine("{0} records added...", i);

            }

            Console.ReadLine();
        }
    }
}